InduSoft Web Studio NTWebServer < v7.1 + SP2 + P4 Directory Traversal Vulnerability

High

Synopsis

A vulnerable version of InduSoft Web Studio NTWebServer has been detected.

Description

InduSoft Web Studio versions prior to v7.1 + SP2 + P4 contain a directory traversal vulnerability in NTWebServer. This vulnerability allows remote attackers to access arbitrary files and could lead to arbitrary code execution. NTWebServer is a light-weight web server provided by InduSoft for demonstration of its Web Studio software. InduSoft intends this web server for demonstration and training purposes only and strongly recommends that NTWebServer should not be used in a production environment.

Solution

Upgrade to InduSoft WebStudio v7.1 + SP2 + P4. In addition, InduSoft strongly recommends that NTWebServer should not be used in a production environment.